# node-name

node-name() → xs:QName?

Returns the name of the context node, as a QName value (that is, a namespace URI plus local name)

There are no arguments
Result | xs:QName?

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

node-name($arg as node()?) → xs:QName?

Returns the name of the given node, as a QName value (that is, a namespace URI plus local name)

Arguments
| $arg | node()? | The node whose name is required
Result | xs:QName?

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The single-argument version of this function is new in XPath 3.0, and is first implemented in Saxon 9.3, provided that support for XPath 3.0 is enabled.

Next